function capitalizeFirstLetter(str)
    return str:sub(1, 1):upper() .. str:sub(2):lower()
end

function itemData(id)
    local itemName, itemLink, _, _, itemMinLevel, _, _, itemStackCount, _, iconTexture = GetItemInfo(id)

    return { ["id"] = id, ["name"] = itemName, ["link"] = itemLink, ["level"] = itemMinLevel, ["stack"] = itemStackCount, ["icon"] = iconTexture }
end